package com.jxml.quick.tf;
import com.jxml.quick.*;
import com.jxml.quick.access.*;
import java.beans.*;
import java.lang.reflect.*;

public class QMALTF implements QTargetFactory
{
    public QTargetFactory parentFactory=null;

    public Object create(QContext context)
	throws QPE
    {
	return null;
    }

    public boolean isInstance(Object object, QContext context)
    {
	return true;
    }

    public String getName(Object object)
    {
	return "";
    }

    public String getText(Object object, 
			  QContext context)
	throws QPE
    {
	return "";
    }

    public void add(Object object, 
		    String name, 
		    String text,
		    QAccess access,
		    Object parent,
		    QTargetFactory parentFactory,
		    QContext context)
	throws QPE
    {
	this.parentFactory=parentFactory;
    }

    public PropertyDescriptor[] getPropertyDescriptors(QContext context)
	throws QPE
    {
	return parentFactory.getPropertyDescriptors(context);
    }

    public Field[] getFields(QContext context)
	throws QPE
    {
	return parentFactory.getFields(context);
    }
}
